
from pydantic import UUID4, BaseModel, ConfigDict, Field
from time import time_ns

class DiskFlows(BaseModel):
   bytes:int = Field()
   reqs:int = Field()
   times:int = Field()

class Disk(BaseModel):
    model_config = ConfigDict()
    time:int = Field(default_factory=time_ns)
    uuid:UUID4 = Field()
    name:str = Field()
    read:DiskFlows = Field()
    write:DiskFlows = Field()