from typing import Optional
from pydantic import BaseModel, ConfigDict, Field

class MemorySwap(BaseModel):
    swp_in:int = Field(serialization_alias="in")
    swp_out:Optional[int] = Field(default=None, serialization_alias="out")

class Memory(BaseModel):
    model_config = ConfigDict()
    time:int = Field()
    available:Optional[int] = Field(default=None)
    current:int = Field()
    maximum:int = Field()
    disk_caches:Optional[int] = Field(default=None)
    rss:int = Field()
    swap:MemorySwap = Field()
    unused:Optional[int] = Field(default=None)
    usable:Optional[int] = Field(default=None)