from typing import Any, List
from pydantic import UUID4, BaseModel, ConfigDict, Field
from time import time_ns

class InterfaceFlows(BaseModel):
    bytes:int = Field()
    drop:int = Field()
    errs:int = Field()
    pkts:int = Field()

class Interface(BaseModel):
    model_config = ConfigDict()
    
    uuid:UUID4 = Field()
    time:int = Field(default_factory=time_ns)
    name:str = Field()
    rx:InterfaceFlows = Field()
    tx:InterfaceFlows = Field()